Name:		libnjb
License:	BSD 3-Clause
Group:		System/Libraries
Version:	2.2.6
Release:	alt1
Summary:	Nomad Jukebox API
Packager:	Motsyo Gennadi <drool@altlinux.ru> 2.2.6-alt1
Url:		http://libnjb.sourceforge.net
Source:		%name-%version.tar.gz
Patch0:		%name-hal-fdi.patch
Patch1:		%name-hal.patch

# Automatically added by buildreq on Mon Jul 06 2009 (-bi)
BuildRequires: doxygen gcc-c++ libncurses-devel libusb-devel zlib-devel

%description
Nomad Jukebox API

Authors:
--------
    Linus Walleij <triad@df.lth.se> (Much code, Windows port)
    C351sar Talon (NJB 3 initial code)
    David A. Knight <david@ritter.demon.co.uk> (Code, especially for NJB1)
    Dwight Engen <dengen40@yahoo.com> (NJB Zen stuff)
    Bernie <bernie@knup.de> (NJB 2 stuff)
    Paul Lalonde <plalonde@telus.net> (NJB Zen USB 2.0 stuff)
    Tom LeRoux <tom@harborcoat.com> (Dell Digital Jukebox stuff)
    Friso Brugmans <njblib@brugmans.nu> (NJB Zen NX stuff)
    Ryan Marsh <ryan_marsh@yahoo.com> (MacOS X porting, fixing and testing)
    Richard Low <richard@wentnet.com> (MacOS X porting, fixing and testing)
    Michael a.k.a. LuNaTiC (NJB Zen Touch testing)
    Shaun Jackman <sjackman@gmail.com> (Debian packaging, automakification)
    Kevin Williams <zakzak@gmail.com> (MSVC++ 8 port)
    Polar Humenn <polar@adiron.com> (playback hacks)

%package -n libnjb5
License:	BSD 3-Clause
Summary:	Nomad Jukebox API
Group:		System/Libraries
Requires:	%name = %version-%release

%description -n libnjb5
Nomad Jukebox API

Authors:
--------
    Linus Walleij <triad@df.lth.se> (Much code, Windows port)
    C351sar Talon (NJB 3 initial code)
    David A. Knight <david@ritter.demon.co.uk> (Code, especially for NJB1)
    Dwight Engen <dengen40@yahoo.com> (NJB Zen stuff)
    Bernie <bernie@knup.de> (NJB 2 stuff)
    Paul Lalonde <plalonde@telus.net> (NJB Zen USB 2.0 stuff)
    Tom LeRoux <tom@harborcoat.com> (Dell Digital Jukebox stuff)
    Friso Brugmans <njblib@brugmans.nu> (NJB Zen NX stuff)
    Ryan Marsh <ryan_marsh@yahoo.com> (MacOS X porting, fixing and testing)
    Richard Low <richard@wentnet.com> (MacOS X porting, fixing and testing)
    Michael a.k.a. LuNaTiC (NJB Zen Touch testing)
    Shaun Jackman <sjackman@gmail.com> (Debian packaging, automakification)
    Kevin Williams <zakzak@gmail.com> (MSVC++ 8 port)
    Polar Humenn <polar@adiron.com> (playback hacks)

%package devel
License:	BSD 3-Clause
Group:		Development/C++
Summary:	Nomad Jukebox API
Requires:	%name = %version-%release

%description devel
Nomad Jukebox API

Authors:
--------
    Linus Walleij <triad@df.lth.se> (Much code, Windows port)
    C351sar Talon (NJB 3 initial code)
    David A. Knight <david@ritter.demon.co.uk> (Code, especially for NJB1)
    Dwight Engen <dengen40@yahoo.com> (NJB Zen stuff)
    Bernie <bernie@knup.de> (NJB 2 stuff)
    Paul Lalonde <plalonde@telus.net> (NJB Zen USB 2.0 stuff)
    Tom LeRoux <tom@harborcoat.com> (Dell Digital Jukebox stuff)
    Friso Brugmans <njblib@brugmans.nu> (NJB Zen NX stuff)
    Ryan Marsh <ryan_marsh@yahoo.com> (MacOS X porting, fixing and testing)
    Richard Low <richard@wentnet.com> (MacOS X porting, fixing and testing)
    Michael a.k.a. LuNaTiC (NJB Zen Touch testing)
    Shaun Jackman <sjackman@gmail.com> (Debian packaging, automakification)
    Kevin Williams <zakzak@gmail.com> (MSVC++ 8 port)
    Polar Humenn <polar@adiron.com> (playback hacks)

%prep
%setup -q
%patch0
# #%patch1

%build
autoreconf -fiv
%configure --program-prefix=njb- --disable-static --with-pic
%make_build

%install
%makeinstall
%__install -Dp -m 0644 libnjb.fdi %buildroot/%_datadir/hal/fdi/information/10freedesktop/10-usb-music-players-libnjb.fdi

%files
%doc AUTHORS FAQ README LICENSE
%_bindir/njb-*
%_datadir/hal/fdi/information/10freedesktop/10-usb-music-players-libnjb.fdi

%files -n libnjb5
%_libdir/libnjb.so.*

%files devel
%_libdir/libnjb.so
%_includedir/libnjb.h
%_pkgconfigdir/libnjb.pc

%changelog
* Sun Jul 05 2009 Motsyo Gennadi <drool@altlinux.ru> 2.2.6-alt1
- initial build for ALT Linux from OpenSUSE package
